SoSFNode(3)

NAME
SoSFNode - The SoSFNode class is a container for a single node.

SYNOPSIS

#include <Inventor/fields/SoSFNode.h>

Inherits SoSField.

  Public Member Functions
virtual SoType getTypeId (void) const
virtual void copyFrom (const SoField &field)
const SoSFNode & operator= (const SoSFNode &field)
virtual SbBool isSame (const SoField &field) const
SoNode * getValue (void) const
void setValue (SoNode *newvalue)
SoNode * operator= (SoNode *newvalue)
int operator== (const SoSFNode &field) const
int operator!= (const SoSFNode &field) const
virtual void fixCopy (SbBool copyconnections)
virtual SbBool referencesCopy (void) const

  Static Public Member Functions
static void * createInstance (void)
static SoType getClassTypeId (void)
static void initClass (void)

  Protected Attributes
SoNode * value

  Additional Inherited Members

Detailed Description

The SoSFNode class is a container for a single node. This field container stores a pointer to a Coin node. It takes care of the necessary functionality for handling copy, import and export operations.

Note that the node pointer stored in a field instance of this type may be a NULL pointer.

See also
    SoNode, SoMFNode

Member Function Documentation

  void * SoSFNode::createInstance (void) [static]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Creates a new instance of the class type corresponding to the SoType object.

  SoType SoSFNode::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  SoType SoSFNode::getTypeId (void) const [virtual]
Returns the type identification of an object derived from a class inheriting SoField. This is used for runtime type checking and 'downward' casting.

Implements SoField.

  void SoSFNode::copyFrom (const SoField & f) [virtual]
Copy value(s) from f into this field. f must be of the same type as this field.

Implements SoField.

  SbBool SoSFNode::isSame (const SoField & f) const [virtual]
Check for equal type and value(s).

Implements SoField.

  void SoSFNode::initClass (void) [static]
Internal method called upon initialization of the library (from SoDB::init()) to set up the type system.

  void SoSFNode::fixCopy (SbBool copyconnections) [virtual]
This method is internally called after SoField::copyFrom() during scene graph copies, and should do the operations necessary for fixing up the field instance after it has gotten a new value.

The default method in the SoField superclass does nothing.

The application programmer should normally not need to consider this method, unless he constructs a complex field type which contains new references to container instances (i.e. nodes or engines). Overriding this method is then necessary to update the reference pointers, as they could have been duplicated during the copy operation.

Reimplemented from SoField.

  SbBool SoSFNode::referencesCopy (void) const [virtual]
Returns TRUE if this field has references to any containers in the scene graph which are also duplicated during the copy operation.

Note that this method only is valid to call during copy operations.

See also the note about the relevance of the fixCopy() method for application programmers, as it is applicable on this method as well.

Reimplemented from SoField.

Author

Generated automatically by Doxygen for Coin from the source code.